<mat-card class="login-container">
  <mat-error class="error-msg" *ngIf="loginError">Login Failed. Please try again</mat-error>
  <section class="login-us-form">
    <form [formGroup]="loginForm" (ngSubmit)="onSubmitLoginDetails(buttonType)">
      <mat-form-field class="email-field" appearance="standard" *ngIf="buttonType == undefined">
        <mat-label>Email</mat-label>
        <input matInput #email placeholder="" [value]="userName" formControlName="email" required autocomplete="off"
          autofocus="true" />
        <ng-template *ngIf="buttonType == undefined">
          <mat-error *ngFor="let validation of validationMessages.email">
            <mat-error class="error-message" *ngIf="
            ((loginForm.get('email').hasError(validation.type) &&
                (loginForm.get('email').dirty ||
                loginForm.get('email').touched)))">{{ validation.message }}</mat-error>
          </mat-error>
        </ng-template>
      </mat-form-field>
      <mat-form-field *ngIf="buttonType == 'password'" class="email-field" appearance="standard">
        <mat-label>Email</mat-label>
        <input matInput placeholder="" [value]="userName" disabled />

      </mat-form-field>
      <button mat-raised-button *ngIf="buttonType == undefined"
      [disabled]="!loginForm.valid" class="submit-btn">
      Next
    </button>
    </form>
    <form [formGroup]="userLoginForm" (ngSubmit)="onSubmitLoginDetails(buttonType)" autocomplete="off">
      <mat-form-field *ngIf="buttonType == 'password'" class="password-field" appearance="standard">
        <mat-label>Password</mat-label>
        <input class="pwd-text" #password matInput placeholder="" value="" formControlName="password" autocomplete="off"
          autofocus="true" />
        <mat-error *ngFor="let validation of validationMessages.password">
          <mat-error class="error-message" *ngIf="
          loginForm.get('password').hasError(validation.type) &&
              (loginForm.get('password').dirty ||
              loginForm.get('password').touched)">{{ validation.message }}</mat-error>
        </mat-error>
      </mat-form-field>
      <button mat-raised-button *ngIf="buttonType == 'password'" [disabled]="!loginForm.valid && !userLoginForm.valid" class="submit-btn" (click)="onSubmitLoginDetails(buttonType)">
        Sign In
      </button>
    </form>
    <form [formGroup]="userOTPForm" (ngSubmit)="onSubmitLoginDetails(buttonType)">
      <mat-form-field *ngIf="buttonType == 'otp'" class="password-field " appearance="standard">
        <mat-label>OTP</mat-label>
        <input #otp type="password" matInput placeholder="" value="" formControlName="otp" required autocomplete="off" />
        <mat-error *ngFor="let validation of validationMessages.otp">
          <mat-error class="error-message" *ngIf="userOTPForm.get('otp').hasError(validation.type) &&
              (userOTPForm.get('otp').dirty ||
              userOTPForm.get('otp').touched)">{{ validation.message }}</mat-error>
        </mat-error>
      </mat-form-field>
      <div *ngIf="buttonType == 'otp'" class="resend-otp">
        <a href="javascript:void()" [ngClass]="{'disable-link': isSendingOTPInProgress}" class="resend-link" (click)="resendOTP($event)">{{OTPLinkText}}</a>
        <div *ngIf="isSendingOTPInProgress" class="spinner-border" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
      <div class="forgot-pwd" *ngIf="buttonType == 'password'"><a href="/">Forgot Password?</a></div>
      <button mat-raised-button *ngIf="buttonType == 'otp'" [disabled]="!loginForm.valid" class="submit-btn">
        Verify OTP
      </button>
    </form>
    
    
    
    <div class="register-link">
      <p>Don't have an account</p>
    </div>
    <div class="reg-btn-group">
      <button mat-raised-button class="register-btn" routerLink='/register'>
        Register
      </button>
      <button mat-raised-button class="register-btn" disabled>
        Forgot Password
      </button>
    </div>
  </section>
</mat-card>